This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 806779 - Human task group assignment not working
Human task group assignment not working
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5, jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER6
: BRMS 5.3.0.GA
Assigned To: Kris Verlaenen
Zuzana Krejčová
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 04:27 EDT by Zuzana Krejčová
Modified: 2012-06-03 22:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
repo with the process used (171.67 KB, application/xml)
2012-03-26 04:27 EDT, Zuzana Krejčová
no flags Details
console shows group tasks to everyone (23.69 KB, image/png)
2012-03-26 04:31 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2012-03-26 04:27:10 EDT
Created attachment 572703 [details]
repo with the process used

Description of problem:
Assigning a human task to a group should result in the task being available to users from that group only. It is now available to anyone. It was tested with a process made in the Designer, using the GroupID property of a human task. The roles.properties file contains:

admin=admin,manager
krisv=sales
mary=HR
john=PM


Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER5


Steps to Reproduce:
1. Import the provided repo into Guvnor.
2. In the jBPM Console, log in as krisv, start Evaluation process, fill in 'krisv' and some reason.
3. Go to Personal tasks and finish your task.
4. Look at the diagram in the Process overview section - it shows it's now waiting for completion of PM and HR evaluation.
5. Go to Group tasks. Optionally hit the refresh button there.

  
Actual results:
Two group tasks available, one should be for HR only, the other for PM only. But the user krisv is member of neither of those.


Expected results:
No group tasks visible.


Additional info:
You won't see this with the sample repo, Evaluation process in that repo does not use group assignment.
Comment 1 Zuzana Krejčová 2012-03-26 04:31:00 EDT
Created attachment 572704 [details]
console shows group tasks to everyone

Looks like the console knows nothing about the user groups...?
Comment 4 Zuzana Krejčová 2012-03-26 04:45:00 EDT
There's also brms-roles.properties in conf/props folder, which contains the following:

admin=JBossAdmin,HttpInvoker,user,admin,manager
krisv=user,sales
mailman=JBossAdmin,readwrite
mary=user,HR
john=user,PM
ad=user,sales
Comment 5 Jiri Locker 2012-03-26 06:20:55 EDT
Looks like DefaultUserGroupCallbackImpl is responsible for this. It takes all existing groups and merges them with the list of groups the user has. Why...?
Comment 7 Maciej Swiderski 2012-04-03 04:55:06 EDT
Confirm that it is part of DefaultUserGroupCallbackImpl as it was introduced more for demostration purpose and to ease development to do not switch between users while developing.
Another issue that partialy relates to this provides a way to overcome this issue, please have a look at #769931. It introduces a property to disable all groups being merged in DefaultUserGroupCallbackImpl.
Comment 8 Kris Verlaenen 2012-04-12 09:04:42 EDT
jBPM console is now using a JAAS callback and should be able to pick up the users / groups as they are configured on the application server, using one of the possible configuration mechanisms (like property files).
Comment 9 Ryan Zhang 2012-04-23 03:37:29 EDT
Update status to ON_QA. Please verify them against ER6.

Note You need to log in before you can comment on or make changes to this bug.